Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jini.rio.qos
Class SystemCapabilities

    java.lang.Object
      org.jini.rio.qos.SystemCapabilities

All Implemented Interfaces:
  SystemCapabilitiesLoader

    public class SystemCapabilities

extends Object
implements SystemCapabilitiesLoader

The SystemCapabilities represents the capabilities of the ComputeResource determined from a capabilities configuration file and default qualitative and quantitative mechanisms

Field Summary
`static String` | `J2ME`
`static String` | `J2SE`
`static String` | `MEMORY`
`static String` | `NATIVE_LIB_CLASS`
`static String` | `NATIVE_LIBS`
`static String` | `OPSYS`
`static String` | `PROCESSOR`
`static String` | `RIO`
`static String` | `RMI_ACTIVATION`
`static String` | `STORAGE`
`static String` | `TCPIP`

Constructor Summary
`SystemCapabilities()`

Method Summary
`MeasurableCapability[]` | `getMeasurableCapabilities(Configuration config)` Get the MeasurableCapability objects based on a passed in Configuration
`PlatformCapability[]` | `getPlatformCapabilities(Configuration config)` Get the PlatformCapability objects
`protected PlatformCapability` | `getPlatformCapability(String className)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NATIVE_LIBS

    public static final String NATIVE_LIBS

See Also:
  Constant Field Values

### PROCESSOR

    public static final String PROCESSOR

See Also:
  Constant Field Values

### OPSYS

    public static final String OPSYS

See Also:
  Constant Field Values

### TCPIP

    public static final String TCPIP

See Also:
  Constant Field Values

### J2SE

    public static final String J2SE

See Also:
  Constant Field Values

### J2ME

    public static final String J2ME

See Also:
  Constant Field Values

### RMI_ACTIVATION

    public static final String RMI_ACTIVATION

See Also:
  Constant Field Values

### MEMORY

    public static final String MEMORY

See Also:
  Constant Field Values

### STORAGE

    public static final String STORAGE

See Also:
  Constant Field Values

### NATIVE_LIB_CLASS

    public static final String NATIVE_LIB_CLASS

See Also:
  Constant Field Values

### RIO

    public static final String RIO

See Also:
  Constant Field Values

Constructor Detail

### SystemCapabilities

    public SystemCapabilities()

Method Detail

### getMeasurableCapabilities

    public MeasurableCapability[] getMeasurableCapabilities(Configuration config)

  Get the MeasurableCapability objects based on a passed in Configuration

  Specified by:
    `getMeasurableCapabilities` in interface `SystemCapabilitiesLoader`
  Parameters:
    `config` - A Configuration to use to assist in creating MeasurableCapability objects
  Returns:
    Return an array of `MeasurableCapability` objects. This method will create a new array of `MeasurableCapability` objects each time it is invoked. At a minimum the following MeasurableCapability objects will be returned:
    - org.jini.rio.qos.measurable.cpu.CPU
    - org.jini.rio.qos.measurable.memory.Memory
    If the operating system is not a member of the "Windows" family of operating systems, an additional `MeasurableCapability` is returned :
    - org.jini.rio.qos.measurable.disk.DiskSpace

### getPlatformCapabilities

    public PlatformCapability[] getPlatformCapabilities(Configuration config)

  Get the PlatformCapability objects

  Specified by:
    `getPlatformCapabilities` in interface `SystemCapabilitiesLoader`
  Parameters:
    `config` - A Configuration to use to assist in creating MeasurableCapability objects
  Returns:
    An array of `PlatformCapability` objects. This method will create a new array of `PlatformCapability` objects each time it is invoked. If there are no `PlatformCapability` objects contained within the `platforms` Collection, a zero-length array will be returned.

### getPlatformCapability

    protected PlatformCapability getPlatformCapability(String className)
                                                throws Exception

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Project Rio.